thesignup docs
APISignupsIdSlotsSlotid

Update a time slot

Partial update — supplied fields only. Use null to clear nullable fields.

PATCH
/signups/{id}/slots/{slotId}

Partial update — supplied fields only. Use null to clear nullable fields.

AuthorizationBearer <token>

Long-lived org-scoped API key. Generate one from your account dashboard. Pass as Authorization: Bearer sgn_live_….

In: header

Path Parameters

id*string
Formatuuid
slotId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/signups/497f6eca-6276-4993-bfeb-53cbbbba6f08/slots/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
  "startTime": "2019-08-24T14:15:22Z",
  "endTime": "2019-08-24T14:15:22Z",
  "maxParticipants": 1,
  "title": "string",
  "description": "string",
  "location": "string",
  "customField": {
    "name": "string",
    "required": true,
    "type": "short"
  },
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}